Subject: Re: [PATCH][RFC] network splice receive

From: Jens Axboe <[email-masked]>
Date: Tue, 12 Jun 2007 15:11:32 +0200

On Tue, Jun 12 2007, Evgeniy Polyakov wrote:
> > difference between changing parts of the elements of a structure to just
> > grabbing a reference to it. If the skb cannot be referenced, skb_get()
> > should return NULL.
> > 
> > But that aside, I see the issue. I'll just stick to the clone, it works
> > fine as-is (well almost, there's a leak there, but functionally it's
> > ok!).
> 
> Btw, is it allowed to use splice from network with, say, nfs?
> Since RPC code uses sk_user_data as long as network splice.

It doesn't anymore, see the version posted today (or yesterday, but it
would be silly to read older code than the newest :-)

-- 
Jens Axboe